# `InheritableSQLObject`

The InheritableSQLObject class is accessible via the `sqlobject.inheritance` module.

## Attributes

#### a `childName`

    None

#### a `j`

    inheritable_sql_object

#### a `q`

    inheritable_sql_object

## Methods

#### f `__sizeof__(...)` ...

__sizeof__() -> int size of object in memory, in bytes

#### f `__format__(...)` ...

default object formatter

#### f `__subclasshook__(...)` ...

Abstract classes can override this to customize issubclass().

This is invoked early on by abc.ABCMeta.__subclasscheck__(). It should return True, False or NotImplemented. If it returns NotImplemented, the normal algorithm is used. Otherwise, it overrides the normal algorithm (and the outcome is cached).

#### f `set(self, **kw)` ...

#### f `__classinit__(cls, new_attrs)` ...

#### f `get(cls, id, connection=None, selectResults=None, childResults=None, childUpdate=False)` ...

#### f `select(cls, clause=None, *args, **kwargs)` ...

#### f `selectBy(cls, connection=None, **kw)` ...

#### f `destroySelf(self)` ...

#### f `__init__(self, **kw)` ...

#### f `__sqlrepr__(self, db)` ...

#### f `__eq__(self, other)` ...

#### f `__ne__(self, other)` ...

#### f `__lt__(self, other)` ...

#### f `__le__(self, other)` ...

#### f `__gt__(self, other)` ...

#### f `__ge__(self, other)` ...

#### f `__getstate__(self)` ...

#### f `__setstate__(self, d)` ...

See the source for more information.